# xarray.Dataset.max

`Dataset.``max`(dim=None, keep_attrs=False, skipna=None, **kwargs)

  Reduce this Dataset’s data by applying max along some dimension(s).

  Parameters:

  dim : str or sequence of str, optional

  > Dimension(s) over which to apply max. By default max is applied over all dimensions.

  skipna : bool, optional

  > If True, skip missing values (as marked by NaN). By default, only skips missing values for float dtypes; other dtypes either do not have a sentinel missing value (int) or skipna=True has not been implemented (object, datetime64 or timedelta64).

  keep_attrs : bool, optional

  > If True, the attributes (attrs) will be copied from the original object to the new one. If False (default), the new object will be returned without attributes.

  **kwargs : dict

  > Additional keyword arguments passed on to the appropriate array function for calculating max on this object’s data.

  Returns:

  reduced : Dataset

  > New Dataset object with max applied to its data and the indicated dimension(s) removed.